# XMPP::Disco::Item Class Reference

`#include <xmpp.h>`

Inheritance diagram for XMPP::Disco::Item:

List of all members.

## Public Member Functions

| Item (PXMLElement *item)
| Item (const PString &jid, const PString &node=PString::Empty())
const JID & | GetJID () const
const PString & | GetNode () const
PXMLElement * | AsXML (PXMLElement *parent) const

## Protected Attributes

const JID | m_JID
const PString | m_Node

## Constructor & Destructor Documentation

XMPP::Disco::Item::Item | ( | PXMLElement * | item | ) |

XMPP::Disco::Item::Item | ( | const PString & | jid,
|  | const PString & | node = `PString::Empty()` |
| ) |  |  |

## Member Function Documentation

PXMLElement* XMPP::Disco::Item::AsXML | ( | PXMLElement * | parent | ) | const

const JID& XMPP::Disco::Item::GetJID | ( |  | ) | const`[inline]`

const PString& XMPP::Disco::Item::GetNode | ( |  | ) | const`[inline]`

## Member Data Documentation

const JID XMPP::Disco::Item::m_JID `[protected]`

const PString XMPP::Disco::Item::m_Node `[protected]`

The documentation for this class was generated from the following file:

- xmpp.h